Bug 446469 - Davicom "DEC-Tulip compatible" NIC is extremely flaky with the tulip driver.
Davicom "DEC-Tulip compatible" NIC is extremely flaky with the tulip driver.
Status: CLOSED DUPLICATE of bug 236928
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 14:09 EDT by Luke Macken
Modified: 2016-09-19 22:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-20 05:19:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2008-05-14 14:09:16 EDT
Description of problem:

I'm not quite sure this is the proper component for this bug, but I guess I'll
start here.  This is a problem that I've been encountering since FC6, and with
my recent upgrade to F9, it still exists -- and may cause problems and confusion
for various users.

So I have the following NIC:

  02:09.0 Ethernet controller: Davicom Semiconductor, Inc. 21x4x DEC-Tulip 
  compatible 10/100 Ethernet (rev 31)

Which out of the box, uses the 'tulip' driver.  With this, I am able to get an
IP address, and working network -- for a few minutes.  After a little while, the
link drops out, and nothing works.

    NetworkManager: <info>  (eth0): carrier now OFF (device state 8)
    NetworkManager: <info>  (eth0): device state change: 8 -> 2
    NetworkManager: <info>  (eth0): deactivating device.

For years I've had to drop 'tulip' into the /etc/modprobe.d/blacklist, which
will then cause the 'dmfe' module to be used -- and everything works again.

So, I'm wondering how we can go about fixing this so other people with this card
won't have to encounter the pain and suffering that is the tulip driver.
Comment 1 SP 2009-02-26 14:00:53 EST
I have had the same problem - except that dmfe was automatically used for the Ethernet controller in Fedora 9.  I did not realize this until after I discovered the solution - and supposed that the Tulip driver had also been used in the previous release.  It was not until I upgraded to 2.6.27.15-170.2.24.fc10.i686 that the card lost the connection and I endured many hours of frustration going through configuration files until I finally stumbled on the simple solution at:
http://ubuntuforums.org/archive/index.php/t-186430.html
After looking at my backup of the old configuration files I realized that dmfe had been the default for the card in my earlier installation.

As many users have encountered this problem it may be a good idea to blacklist the Tulip driver by default in the next kernel release.
Comment 2 Bug Zapper 2009-06-09 20:49:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Luke Macken 2009-06-26 00:02:32 EDT
This is still a problem.

After upgrading my machine from Fedora 9 to 11, it loaded up both the tulip and dmfe drivers upon reboot and my network was unusable, as DHCP would timeout.
Comment 4 Peter Lemenkov 2010-04-20 05:19:10 EDT

*** This bug has been marked as a duplicate of bug 236928 ***

Note You need to log in before you can comment on or make changes to this bug.